import 'package:cramr_ui_lib/util/pronoun_decorator.dart';
import 'package:flutter/material.dart';

/// A field displaying the pronoun for a given person (passed as an int
/// parameter).
class PronounField extends StatelessWidget {
  final String targetLanguage;
  final String fullPronoun;
  final String expectedIndicative;

  const PronounField(
      {Key? key,
      required this.targetLanguage,
      required this.fullPronoun,
      required this.expectedIndicative})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(5.0),
      child: SizedBox(
        key: UniqueKey(),
        height: 40,
        width: 85,
        child: Text(
          PronounDecorator.decoratedPronoun(
              targetLanguage, fullPronoun, expectedIndicative),
          key: Key(fullPronoun),
          textAlign: TextAlign.center,
          style: const TextStyle(
            color: Colors.blue,
            fontSize: 25,
          ),
          overflow: TextOverflow.ellipsis,
        ),
      ),
    );
  }
}
