import 'package:cramr_ui_lib/model/verb.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  var _infinitive = 'infinitief';
  var _translation = 'translation';
  var _indicative = ['nul', 'een', 'twee', 'drie', 'vier', 'vijf'];
  var _singularIndicative = ['nul', 'een', 'twee'];
  var _pluralIndicative = ['drie', 'vier', 'vijf'];
  var _isoLanguage = 'fr';

  group('Verb tests', () {
    test('Verb state tests', () {
      var model = Verb(_infinitive, _translation, _indicative, _isoLanguage);
      expect(_infinitive, model.infinitive);
      expect(_translation, model.translation);
      expect(_isoLanguage, model.isoLanguage);
      int i = 0;
      for (var element in _indicative) {
        expect(element, model.indicative[i++]);
      }
    });

    test('Test verb in only singular', () {
      var model =
          Verb(_infinitive, _translation, _singularIndicative, _isoLanguage);
      expect(_infinitive, model.infinitive);
      expect(_translation, model.translation);
      expect(_isoLanguage, model.isoLanguage);
      int i = 0;
      for (var element in _singularIndicative) {
        expect(element, model.indicative[i++]);
      }
    });

    test('Test verb in only plural', () {
      var model =
          Verb(_infinitive, _translation, _pluralIndicative, _isoLanguage);
      expect(_infinitive, model.infinitive);
      expect(_translation, model.translation);
      expect(_isoLanguage, model.isoLanguage);
      int i = 0;
      for (var element in _pluralIndicative) {
        expect(element, model.indicative[i++]);
      }
    });
  });
}
